wok rev 20892

Remove ashism ==
author Pascal Bellard <pascal.bellard@slitaz.org>
date Tue Feb 26 09:14:07 2019 +0100 (20 months ago)
parents 87d7af51ba68
children ffd273a61556
files ajaxterm/stuff/usr/share/ajaxterm/login boinc/receipt boinc/stuff/boinc-client busybox/stuff/httpd_helper.sh busybox/stuff/udhcp.script dmraid/stuff/grub-dmraid dropbear/stuff/sshx gcc/receipt get-opera-blink/stuff/get-opera-blink get-wfica/stuff/get-wfica get-wifi-firmware/stuff/get-wifi-firmware gvfs/stuff/split gvim/receipt lxmenu-data/receipt make-slitaz-icons/stuff/mksit.sh mosh/receipt nail/receipt netatalk-pam/stuff/etc/init.d/netatalk netatalk/stuff/etc/init.d/netatalk ntpclient/receipt nvidia-173xx/receipt nvidia-96xx/receipt sdcc/receipt shutdown/stuff/shutdown slim/stuff/slim-theme syslinux/receipt syslinux/stuff/iso2exe/init syslinux/stuff/iso2exe/init.custom syslinux/stuff/iso2exe/taziso syslinux/stuff/tools/isohybrid.sh tazwikiss/receipt tramys-server/stuff/tramys2.cgi tramys/stuff/tramys turbine/stuff/turbine udhcpc6-fake/stuff/etc/dhclient-script udhcpc6-fake/stuff/sbin/udhcpc vim-tiny/receipt vim/receipt xarchive/stuff/slitaz-wrap.sh xpenguins/stuff/xpenguins.sh xsnow/stuff/xsnow.sh xz/stuff/lzma zsh/receipt
line diff
     1.1 --- a/ajaxterm/stuff/usr/share/ajaxterm/login	Tue Feb 26 08:20:18 2019 +0100
     1.2 +++ b/ajaxterm/stuff/usr/share/ajaxterm/login	Tue Feb 26 09:14:07 2019 +0100
     1.3 @@ -12,7 +12,7 @@
     1.4  	done < $file
     1.5  	echo -n "$ask_question "
     1.6  	read -t 30 answer
     1.7 -	[ $ask_md5 == $(echo $answer | md5sum | cut -d\  -f1) ] || exit 1
     1.8 +	[ $ask_md5 = $(echo $answer | md5sum | cut -d\  -f1) ] || exit 1
     1.9  fi
    1.10  
    1.11  # Get SSH server
     2.1 --- a/boinc/receipt	Tue Feb 26 08:20:18 2019 +0100
     2.2 +++ b/boinc/receipt	Tue Feb 26 09:14:07 2019 +0100
     2.3 @@ -70,7 +70,7 @@
     2.4  	echo
     2.5  	echo -n "Delete user boinc and /var/lib/boinc (yes/No) ? : "
     2.6  	read -t 30 answer
     2.7 -	if [ "$answer" == "yes" ]; then
     2.8 +	if [ "$answer" = "yes" ]; then
     2.9  		chroot "$1/" deluser boinc
    2.10  		rm -r "$1/var/lib/boinc"
    2.11  	else
     3.1 --- a/boinc/stuff/boinc-client	Tue Feb 26 08:20:18 2019 +0100
     3.2 +++ b/boinc/stuff/boinc-client	Tue Feb 26 09:14:07 2019 +0100
     3.3 @@ -349,10 +349,10 @@
     3.4              PID=""
     3.5            fi
     3.6          fi
     3.7 -        if [ "$PID" == "" ]; then
     3.8 +        if [ "$PID" = "" ]; then
     3.9            PID=`local_pidof $BOINCEXE_NAME`
    3.10          fi
    3.11 -        if [ "$PID" == "" ]; then
    3.12 +        if [ "$PID" = "" ]; then
    3.13            PID=`local_pidof $BOINCEXE`
    3.14          fi
    3.15          if [ "$PID" != "" ]; then
     4.1 --- a/busybox/stuff/httpd_helper.sh	Tue Feb 26 08:20:18 2019 +0100
     4.2 +++ b/busybox/stuff/httpd_helper.sh	Tue Feb 26 09:14:07 2019 +0100
     4.3 @@ -111,7 +111,7 @@
     4.4  dd bs=1 count=$(($count - ($tmp * $page) ))
     4.5  }
     4.6  
     4.7 -if [ "$REQUEST_METHOD$POST__NAMES" == "POST" ]; then
     4.8 +if [ "$REQUEST_METHOD$POST__NAMES" = "POST" ]; then
     4.9  	prefix=/tmp/httpd_post
    4.10  	mkdir $prefix$$
    4.11  	now=$(stat -c %Y $prefix$$)
     5.1 --- a/busybox/stuff/udhcp.script	Tue Feb 26 08:20:18 2019 +0100
     5.2 +++ b/busybox/stuff/udhcp.script	Tue Feb 26 09:14:07 2019 +0100
     5.3 @@ -4,7 +4,7 @@
     5.4  
     5.5  [ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
     5.6  
     5.7 -[ "$subnet" == "255.255.255.255" ] && subnet="255.255.0.0" # qemu/ipv6 weirdness
     5.8 +[ "$subnet" = "255.255.255.255" ] && subnet="255.255.0.0" # qemu/ipv6 weirdness
     5.9  RESOLV_CONF="/etc/resolv.conf"
    5.10  [ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
    5.11  [ -n "$subnet" ] && NETMASK="netmask $subnet"
    5.12 @@ -36,7 +36,7 @@
    5.13  	renew|bound)
    5.14  		ipv6mask=${ipv6prefix#*/}
    5.15  		ip=${ip:-$ipv6}
    5.16 -		if [ ${ip/:/} == $ip ]; then
    5.17 +		if [ ${ip/:/} = $ip ]; then
    5.18  			ifconfig $interface $ip $BROADCAST $NETMASK
    5.19  			v6=""
    5.20  		else
    5.21 @@ -57,7 +57,7 @@
    5.22  		for i in $dns ; do
    5.23  			echo nameserver $i
    5.24  		done >> $RESOLV_CONF
    5.25 -		if [ "$1" == "bound" ] ; then
    5.26 +		if [ "$1" = "bound" ] ; then
    5.27  			[ -n "$tz" ] && echo $tz > /etc/TZ
    5.28  			for i in /etc/ipup.d/*; do
    5.29  				[ -x $i ] && $i $interface $ip $dns
     6.1 --- a/dmraid/stuff/grub-dmraid	Tue Feb 26 08:20:18 2019 +0100
     6.2 +++ b/dmraid/stuff/grub-dmraid	Tue Feb 26 09:14:07 2019 +0100
     6.3 @@ -12,7 +12,7 @@
     6.4  
     6.5  # Get raid parameters
     6.6  dev=/dev/mapper/$(dmraid -s 2> /dev/null | grep ^name | awk '{ print $3 }')
     6.7 -if [ "$dev" == "/dev/mapper/" ]; then
     6.8 +if [ "$dev" = "/dev/mapper/" ]; then
     6.9  	echo "No dmraid device found." 1>&2
    6.10  	exit 1
    6.11  fi
     7.1 --- a/dropbear/stuff/sshx	Tue Feb 26 08:20:18 2019 +0100
     7.2 +++ b/dropbear/stuff/sshx	Tue Feb 26 09:14:07 2019 +0100
     7.3 @@ -53,7 +53,7 @@
     7.4  	pppsvr="$ppp $n ${3:-proxyarp} notty >/dev/null"
     7.5  	sshcmd="nc -ulp $5 -e $pppsvr"
     7.6  	udpcmd="nc -u $ipsvr $5"
     7.7 -	[ "$6" == "test" ] && sshcmd="nc -ulp $5 -e nc 127.0.0.1 22" &&
     7.8 +	[ "$6" = "test" ] && sshcmd="nc -ulp $5 -e nc 127.0.0.1 22" &&
     7.9  	udpcmd="dbclient -y -J \"nc -u $ipsvr $5\" ${1%@*}@127.0.0.1 $pppsvr"
    7.10  	[ -n "$5" ] && arg="noipdefault pty '$udpcmd'" && $ssh -f ${1/:/ -p } "$sshcmd"
    7.11  	eval $ppp $arg ipparam pppssh$$
    7.12 @@ -66,7 +66,7 @@
    7.13  	p=5900
    7.14  	while netstat -tln | grep -q ":$p " ; do p=$(($p+1)); done
    7.15  	[ -r /dev/input/mice ] || echo "Warning: Cannot read mouse input." 1>&2
    7.16 -	r=${1%/*}; svr=${1#*/}; [ "$svr" == "$1" ] && svr=127.0.0.1
    7.17 +	r=${1%/*}; svr=${1#*/}; [ "$svr" = "$1" ] && svr=127.0.0.1
    7.18  	dbclient -y -f -N -L $p:$svr:${2:-5900} ${r/:/ -p }
    7.19  	fbvnc 127.0.0.1 $p
    7.20  	kill $(netstat -tlnp 2> /dev/null | \
     8.1 --- a/gcc/receipt	Tue Feb 26 08:20:18 2019 +0100
     8.2 +++ b/gcc/receipt	Tue Feb 26 09:14:07 2019 +0100
     8.3 @@ -34,8 +34,8 @@
     8.4  {
     8.5  	# Package slitaz-toolchain use 'cook --options' when rebuilding
     8.6  	# the full SliTaz toolchain.
     8.7 -	[ "$2" == "--first-pass" ] && opt=$2
     8.8 -	[ "$3" == "--first-pass" ] && opt=$3
     8.9 +	[ "$2" = "--first-pass" ] && opt=$2
    8.10 +	[ "$3" = "--first-pass" ] && opt=$3
    8.11  
    8.12  	# Use libiberty.a from binutils.
    8.13  	sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in || return 1
     9.1 --- a/get-opera-blink/stuff/get-opera-blink	Tue Feb 26 08:20:18 2019 +0100
     9.2 +++ b/get-opera-blink/stuff/get-opera-blink	Tue Feb 26 09:14:07 2019 +0100
     9.3 @@ -8,7 +8,7 @@
     9.4  
     9.5  . /lib/libtaz.sh
     9.6  
     9.7 -while [ "${1:0:2}" == '--' ]; do shift; done
     9.8 +while [ "${1:0:2}" = '--' ]; do shift; done
     9.9  VERSION="$1"
    9.10  
    9.11  check_root
    10.1 --- a/get-wfica/stuff/get-wfica	Tue Feb 26 08:20:18 2019 +0100
    10.2 +++ b/get-wfica/stuff/get-wfica	Tue Feb 26 09:14:07 2019 +0100
    10.3 @@ -89,7 +89,7 @@
    10.4  ln -s $ICAROOT/wfica usr/bin
    10.5  ln -s $ICAROOT/wfcmgr usr/bin
    10.6  
    10.7 -if [ "$INSTALL_USB" == "yes" ]; then
    10.8 +if [ "$INSTALL_USB" = "yes" ]; then
    10.9  	wget -O .$ICAROOT/ctxusb.deb "$USB_URL" 
   10.10  	dpkg-deb -x .$ICAROOT/ctxusb*.deb .
   10.11  	chmod 500 .$ICAROOT/ctxusbd
    11.1 --- a/get-wifi-firmware/stuff/get-wifi-firmware	Tue Feb 26 08:20:18 2019 +0100
    11.2 +++ b/get-wifi-firmware/stuff/get-wifi-firmware	Tue Feb 26 09:14:07 2019 +0100
    11.3 @@ -8,7 +8,7 @@
    11.4  
    11.5  MODULE_LIST=""
    11.6  while read module desc ; do
    11.7 -	[ "$MODULE" == "$module" ] && desc="$SHORT_DESC"
    11.8 +	[ "$MODULE" = "$module" ] && desc="$SHORT_DESC"
    11.9  	MODULE_LIST="$MODULE_LIST $module"
   11.10  done <<EOT
   11.11  b43		Broadcom $MODULE firmware.
   11.12 @@ -205,12 +205,12 @@
   11.13  cd $TOP
   11.14  rm -rf $TMP
   11.15  
   11.16 -if [ "$1" == "--firmware" ] ; then 
   11.17 +if [ "$1" = "--firmware" ] ; then 
   11.18      echo "just install firmare: yes"
   11.19      JUST_INSTALL_FIRMWARE="yes"
   11.20  fi
   11.21  
   11.22 -if [ ! "$JUST_INSTALL_FIRMWARE" == "yes" ]; then
   11.23 +if [ ! "$JUST_INSTALL_FIRMWARE" = "yes" ]; then
   11.24  	echo "configuring and loading module ..."
   11.25  	# Check if we need wpa_supplicant
   11.26  	. $ROOT/etc/network.conf
    12.1 --- a/gvfs/stuff/split	Tue Feb 26 08:20:18 2019 +0100
    12.2 +++ b/gvfs/stuff/split	Tue Feb 26 09:14:07 2019 +0100
    12.3 @@ -1,6 +1,6 @@
    12.4  # Split full gvfs package into gvfs-* packages
    12.5  
    12.6 -if [ "$PACKAGE" == "gvfs" ]; then
    12.7 +if [ "$PACKAGE" = "gvfs" ]; then
    12.8  	echo
    12.9  	echo "Check your gvfs upgrade!"
   12.10  	echo "========================"
    13.1 --- a/gvim/receipt	Tue Feb 26 08:20:18 2019 +0100
    13.2 +++ b/gvim/receipt	Tue Feb 26 09:14:07 2019 +0100
    13.3 @@ -61,12 +61,12 @@
    13.4  post_install()
    13.5  {
    13.6  	cmd=$(readlink "$1/bin/vi")
    13.7 -	if [ ! "$cmd" == '/usr/bin/vim' ]; then
    13.8 +	if [ ! "$cmd" = '/usr/bin/vim' ]; then
    13.9  		echo ""
   13.10  		echo "**** Actual VI link : $cmd"
   13.11  		echo ""
   13.12  		echo -n "Do you want vim  for /bin/vi (y/N) ? : "; read -t 30 answer
   13.13 -		if [ "$answer" == 'y' ]; then
   13.14 +		if [ "$answer" = 'y' ]; then
   13.15  			echo ""
   13.16  			echo -n "Removing vi link to make a new one pointing on /usr/bin/vim..."
   13.17  			rm "$1/bin/vi" && ln -sf /usr/bin/vim "$1/bin/vi"
    14.1 --- a/lxmenu-data/receipt	Tue Feb 26 08:20:18 2019 +0100
    14.2 +++ b/lxmenu-data/receipt	Tue Feb 26 09:14:07 2019 +0100
    14.3 @@ -13,7 +13,7 @@
    14.4  TAGS="LXDE"
    14.5  HOST_ARCH="i486 arm"
    14.6  
    14.7 -[ "$ARCH" == "i486" ] && BUILD_DEPENDS="gettext intltool"
    14.8 +[ "$ARCH" = "i486" ] && BUILD_DEPENDS="gettext intltool"
    14.9  
   14.10  # Rules to configure and make the package.
   14.11  compile_rules()
    15.1 --- a/make-slitaz-icons/stuff/mksit.sh	Tue Feb 26 08:20:18 2019 +0100
    15.2 +++ b/make-slitaz-icons/stuff/mksit.sh	Tue Feb 26 09:14:07 2019 +0100
    15.3 @@ -42,7 +42,7 @@
    15.4  
    15.5  # Color output
    15.6  colored() {
    15.7 -	if [ "$color" == 'yes' ]; then
    15.8 +	if [ "$color" = 'yes' ]; then
    15.9  		colorize $@
   15.10  	else
   15.11  		echo $2
   15.12 @@ -80,7 +80,7 @@
   15.13  				BASE_FINDICON="$(basename $FINDICON .png)"
   15.14  				BASE_FINDICON="$(basename $BASE_FINDICON .svg)"
   15.15  
   15.16 -				if [ "$1" == "$BASE_FINDICON" ]; then
   15.17 +				if [ "$1" = "$BASE_FINDICON" ]; then
   15.18  					colored 32 "+ $1($SIZE)"
   15.19  				else
   15.20  					colored 34 "+ $1($SIZE) <= $(basename $FINDICON)"
   15.21 @@ -180,12 +180,12 @@
   15.22  	shift
   15.23  done
   15.24  
   15.25 -if [ "x$FROM" == "x" -o "x$TO" == "x" ]; then
   15.26 +if [ "x$FROM" = "x" -o "x$TO" = "x" ]; then
   15.27  	echo "There are no required parameters (-f or -t)!"; exit 1
   15.28  fi
   15.29  
   15.30  echo "Check components..."
   15.31 -if [ $IS == 'yes' ]; then
   15.32 +if [ $IS = 'yes' ]; then
   15.33  	echo -n "Inkscape: "
   15.34  	if [ -x "$(which inkscape)" ]; then
   15.35  		echo "$(which inkscape)"
   15.36 @@ -193,7 +193,7 @@
   15.37  		colored 31 "not found! Force '-is'"; IS='no'
   15.38  	fi
   15.39  fi
   15.40 -if [ $OP == 'yes' ]; then
   15.41 +if [ $OP = 'yes' ]; then
   15.42  	echo -n "Optipng:  "
   15.43  	if [ -x "$(which optipng)" ]; then
   15.44  		echo "$(which optipng)"
   15.45 @@ -816,7 +816,7 @@
   15.46  
   15.47  #####
   15.48  
   15.49 -if [ "$IS" == "yes" ]; then
   15.50 +if [ "$IS" = "yes" ]; then
   15.51  		echo -n "Inkscape...  "
   15.52  	# convert svg to png
   15.53  	# rarely inkscape may fail, good that we leave original file
   15.54 @@ -826,7 +826,7 @@
   15.55  
   15.56  #####
   15.57  
   15.58 -if [ "$OP" == "yes" ]; then
   15.59 +if [ "$OP" = "yes" ]; then
   15.60  	echo -n "Optipng...   "
   15.61  	# re-compress png files
   15.62  	find $TO -type f -iname '*.png' -exec optipng -quiet -strip all $PNGOPT {} \;
   15.63 @@ -835,7 +835,7 @@
   15.64  
   15.65  #####
   15.66  
   15.67 -if [ "$SL" == "yes" ]; then
   15.68 +if [ "$SL" = "yes" ]; then
   15.69  	echo -n "Symlinks...  "
   15.70  	MD5FILE=$(mktemp); find $TO -type f -exec md5sum {} \; | sort > $MD5FILE
   15.71  	# substitute repeated files by symlinks
    16.1 --- a/mosh/receipt	Tue Feb 26 08:20:18 2019 +0100
    16.2 +++ b/mosh/receipt	Tue Feb 26 09:14:07 2019 +0100
    16.3 @@ -49,7 +49,7 @@
    16.4  EOT
    16.5  		echo -n "Add -a for DROPBEAR_OPTIONS in /etc/daemons.conf now ?"
    16.6  		read -t 30 answer
    16.7 -		[ "$answer" == "y" ] && 
    16.8 +		[ "$answer" = "y" ] && 
    16.9  		sed -i 's/^DROPBEAR_OPTIONS="/&-a /' "$1/etc/daemons.conf" &&
   16.10  		[ -z "$1" ] && /etc/init.d/dropbear restart
   16.11  	fi
    17.1 --- a/nail/receipt	Tue Feb 26 08:20:18 2019 +0100
    17.2 +++ b/nail/receipt	Tue Feb 26 09:14:07 2019 +0100
    17.3 @@ -53,7 +53,7 @@
    17.4  		echo "/usr/bin/mailx exists"
    17.5  		echo -n "Do you want /usr/bin/nail for /usr/bin/mailx (y/N) ? : "
    17.6  		read -t 30 anser
    17.7 -		if [ "$anser" == "y" ]; then
    17.8 +		if [ "$anser" = "y" ]; then
    17.9  			echo ""
   17.10  			echo -n "linking /usr/bin/mailx to /usr/bin/nail"
   17.11  			rm "$1/usr/bin/mailx"
    18.1 --- a/netatalk-pam/stuff/etc/init.d/netatalk	Tue Feb 26 08:20:18 2019 +0100
    18.2 +++ b/netatalk-pam/stuff/etc/init.d/netatalk	Tue Feb 26 09:14:07 2019 +0100
    18.3 @@ -22,7 +22,7 @@
    18.4  # Start Netatalk servers.
    18.5  atalk_startup()
    18.6  {
    18.7 -	if [ "$ATALKD_RUN" == "yes" ]; then
    18.8 +	if [ "$ATALKD_RUN" = "yes" ]; then
    18.9  		modprobe appletalk
   18.10  		atalkd
   18.11  		pidof atalkd > $PIDFILE
   18.12 @@ -31,11 +31,11 @@
   18.13  		nbprgstr -p 4 "$ATALK_NAME:Workstation$ATALK_ZONE"
   18.14  		nbprgstr -p 4 "$ATALK_NAME:netatalk$ATALK_ZONE"
   18.15  
   18.16 -		[ "$PAPD_RUN" == "yes" ] && papd
   18.17 -		[ "$TIMELORD_RUN" == "yes" ] && timelord
   18.18 +		[ "$PAPD_RUN" = "yes" ] && papd
   18.19 +		[ "$TIMELORD_RUN" = "yes" ] && timelord
   18.20  	fi
   18.21  
   18.22 -	[ "$AFPD_RUN" == "yes" ] && afpd $AFPD_UAMLIST -g $AFPD_GUEST \
   18.23 +	[ "$AFPD_RUN" = "yes" ] && afpd $AFPD_UAMLIST -g $AFPD_GUEST \
   18.24      		-c $AFPD_MAX_CLIENTS -n "$ATALK_NAME$ATALK_ZONE"
   18.25  }
   18.26  
   18.27 @@ -46,7 +46,7 @@
   18.28  			exit 1
   18.29  		fi
   18.30  		action 'Starting %s: %s...' "$DESC" $NAME
   18.31 -		if [ "$ATALK_BGROUND" == "yes" ]; then
   18.32 +		if [ "$ATALK_BGROUND" = "yes" ]; then
   18.33  			atalk_startup >/dev/null &
   18.34  		else
   18.35  			atalk_startup
    19.1 --- a/netatalk/stuff/etc/init.d/netatalk	Tue Feb 26 08:20:18 2019 +0100
    19.2 +++ b/netatalk/stuff/etc/init.d/netatalk	Tue Feb 26 09:14:07 2019 +0100
    19.3 @@ -22,7 +22,7 @@
    19.4  # Start Netatalk servers.
    19.5  atalk_startup()
    19.6  {
    19.7 -	if [ "$ATALKD_RUN" == "yes" ]; then
    19.8 +	if [ "$ATALKD_RUN" = "yes" ]; then
    19.9  		modprobe appletalk
   19.10  		atalkd
   19.11  		pidof atalkd > $PIDFILE
   19.12 @@ -31,8 +31,8 @@
   19.13  		nbprgstr -p 4 "$ATALK_NAME:Workstation$ATALK_ZONE"
   19.14  		nbprgstr -p 4 "$ATALK_NAME:netatalk$ATALK_ZONE"
   19.15  
   19.16 -		[ "$PAPD_RUN" == "yes" ] && papd
   19.17 -		[ "$TIMELORD_RUN" == "yes" ] && timelord
   19.18 +		[ "$PAPD_RUN" = "yes" ] && papd
   19.19 +		[ "$TIMELORD_RUN" = "yes" ] && timelord
   19.20  	fi
   19.21  
   19.22  	[ "$AFPD_RUN" = "yes" ] && afpd $AFPD_UAMLIST -g $AFPD_GUEST \
   19.23 @@ -46,7 +46,7 @@
   19.24  			exit 1
   19.25  		fi
   19.26  		action 'Starting %s: %s...' "$DESC" $NAME
   19.27 -		if [ "$ATALK_BGROUND" == "yes" ]; then
   19.28 +		if [ "$ATALK_BGROUND" = "yes" ]; then
   19.29  			atalk_startup >/dev/null &
   19.30  		else
   19.31  			atalk_startup
    20.1 --- a/ntpclient/receipt	Tue Feb 26 08:20:18 2019 +0100
    20.2 +++ b/ntpclient/receipt	Tue Feb 26 09:14:07 2019 +0100
    20.3 @@ -31,7 +31,7 @@
    20.4  	[ -n "$1" -o -n "$quiet" ] && return
    20.5  	echo -en '\nDo you want to run ntpclient in automatic mode (y/N): '
    20.6  	read -t 30 anser
    20.7 -		if [ "$anser" == 'y' ]; then
    20.8 +		if [ "$anser" = 'y' ]; then
    20.9  			srv='fr.pool.ntp.org'
   20.10  			action 'Setting up crontab for ntpclient...'
   20.11  			crontab -l  2>/dev/null | grep -q '/usr/bin/ntpclient -s -h' ||
    21.1 --- a/nvidia-173xx/receipt	Tue Feb 26 08:20:18 2019 +0100
    21.2 +++ b/nvidia-173xx/receipt	Tue Feb 26 09:14:07 2019 +0100
    21.3 @@ -105,13 +105,13 @@
    21.4  	echo "For installing this package, you have to accept the $PACKAGE license."
    21.5  	echo "The license is stored in /usr/share/licenses/$PACKAGE "
    21.6  	echo -n "Would you like to read the license (y/N) : "; read anser
    21.7 -	if [ "$anser" == 'y' ]; then
    21.8 +	if [ "$anser" = 'y' ]; then
    21.9  		more "$1/usr/share/licenses/$PACKAGE/LICENSE"
   21.10  		newline
   21.11  	fi
   21.12  	separator
   21.13  	echo -n 'Do you accept the license (y/N) : '; read anser
   21.14 -	if [ "$anser" == 'N' ]; then
   21.15 +	if [ "$anser" = 'N' ]; then
   21.16  		echo 'You did not accept the license, Removing the pkg.'
   21.17  		tazpkg remove "$PACKAGE"
   21.18  	fi
    22.1 --- a/nvidia-96xx/receipt	Tue Feb 26 08:20:18 2019 +0100
    22.2 +++ b/nvidia-96xx/receipt	Tue Feb 26 09:14:07 2019 +0100
    22.3 @@ -89,13 +89,13 @@
    22.4  	echo "For installing this package, you have to accept the $PACKAGE license."
    22.5  	echo "The license is stored in /usr/share/licenses/$PACKAGE "
    22.6  	echo -n "Would you like to read the license (y/N) : "; read anser
    22.7 -	if [ "$anser" == 'y' ]; then
    22.8 +	if [ "$anser" = 'y' ]; then
    22.9  		more /usr/share/licenses/"$PACKAGE"/LICENSE
   22.10  		echo
   22.11  	fi
   22.12  	separator
   22.13  	echo -n "Do you accept the license (y/N) : "; read anser
   22.14 -	if [ "$anser" == 'N' ]; then
   22.15 +	if [ "$anser" = 'N' ]; then
   22.16  		echo "You did not accept the license, Removing the pkg."
   22.17  		tazpkg remove "$PACKAGE"
   22.18  	fi
    23.1 --- a/sdcc/receipt	Tue Feb 26 08:20:18 2019 +0100
    23.2 +++ b/sdcc/receipt	Tue Feb 26 09:14:07 2019 +0100
    23.3 @@ -17,7 +17,7 @@
    23.4  compile_rules()
    23.5  {
    23.6  	cd $src
    23.7 -	sed -i 's/exec/[ "$1" == ":" ] || &/' device/lib/pic16/depcomp
    23.8 +	sed -i 's/exec/[ "$1" = ":" ] || &/' device/lib/pic16/depcomp
    23.9  	sed -i 's/ -u$//' device/lib/Makefile*
   23.10  
   23.11  	./configure --prefix=/usr --infodir=/usr/share/info \
    24.1 --- a/shutdown/stuff/shutdown	Tue Feb 26 08:20:18 2019 +0100
    24.2 +++ b/shutdown/stuff/shutdown	Tue Feb 26 09:14:07 2019 +0100
    24.3 @@ -5,7 +5,7 @@
    24.4  # use 'shutdown -r now' or similar.
    24.5  #
    24.6  
    24.7 -if [ "x$1" == "x-r" ]; then
    24.8 +if [ "x$1" = "x-r" ]; then
    24.9  	/sbin/reboot
   24.10  else
   24.11  	/sbin/poweroff
    25.1 --- a/slim/stuff/slim-theme	Tue Feb 26 08:20:18 2019 +0100
    25.2 +++ b/slim/stuff/slim-theme	Tue Feb 26 09:14:07 2019 +0100
    25.3 @@ -44,7 +44,7 @@
    25.4  {
    25.5  	cd /usr/share/slim/themes
    25.6  	theme=$(ls -Ad $1 2>/dev/null | head -n1)
    25.7 -	[ x$theme == x ] && echo "Theme \"$1\" not exist!" >&2 && exit 1
    25.8 +	[ x$theme = x ] && echo "Theme \"$1\" not exist!" >&2 && exit 1
    25.9  	echo $theme
   25.10  }
   25.11  i18n()
   25.12 @@ -89,9 +89,9 @@
   25.13  	curr=$(get_current)
   25.14  	prev=$(get_prev)
   25.15  	echo "Forget theme \"$theme\"" >&2
   25.16 -	if [ x$theme == x$curr ]; then
   25.17 -		last=$(echo $prev | cut -d: -f1); [ x$last == x ] && last=base
   25.18 -		rest=${prev#*:}; [ x$rest == x$prev ] && rest=
   25.19 +	if [ x$theme = x$curr ]; then
   25.20 +		last=$(echo $prev | cut -d: -f1); [ x$last = x ] && last=base
   25.21 +		rest=${prev#*:}; [ x$rest = x$prev ] && rest=
   25.22  		prev=$rest; set_prev $prev
   25.23  		echo "Back to \"$last\" theme" >&2
   25.24  		set_current $last
   25.25 @@ -124,7 +124,7 @@
   25.26  	T)
   25.27  		i18n $OPTARG; exit 0 ;;
   25.28  	*)
   25.29 -		if [ x$OPTARG == xs -o x$OPTARG == xf -o x$OPTARG == xT ]; then
   25.30 +		if [ x$OPTARG = xs -o x$OPTARG = xf -o x$OPTARG = xT ]; then
   25.31  			echo "Option \"$OPTARG\" requires an argument."
   25.32  		else
   25.33  			[ x$OPTARG != x ] && echo "Illegal option \"$OPTARG\"."
    26.1 --- a/syslinux/receipt	Tue Feb 26 08:20:18 2019 +0100
    26.2 +++ b/syslinux/receipt	Tue Feb 26 09:14:07 2019 +0100
    26.3 @@ -38,7 +38,7 @@
    26.4  	sed -i 's/loadkeys -m/loadkeys -u -m/' utils/keytab-lilo	# for ru.kbd
    26.5  	mkdir kbd
    26.6  	for i in /usr/share/kbd/keymaps/i386/*/*.map.gz; do
    26.7 -		[ "$(basename $(dirname $i))" == 'include' ] && continue
    26.8 +		[ "$(basename $(dirname $i))" = 'include' ] && continue
    26.9  		utils/keytab-lilo /usr/share/kbd/keymaps/i386/qwerty/us.map.gz \
   26.10  			$i > kbd/$(basename $i .map.gz)
   26.11  	done
   26.12 @@ -67,7 +67,7 @@
   26.13  		for i in ${kbd/,/ }; do
   26.14  	 		[ -e $src/kbd/$i ] || continue
   26.15  			map=" $i"
   26.16 -			[ ${kbd#*,} == $i ] && map=
   26.17 +			[ ${kbd#*,} = $i ] && map=
   26.18  			cat >> $fs/boot/isolinux/i18n.cfg <<EOT
   26.19  LABEL $label
   26.20  	MENU LABEL $menu
   26.21 @@ -150,7 +150,7 @@
   26.22  	for i in $(grep -ls boot/isolinux/isolinux.cfg \
   26.23  			$1/var/lib/tazpkg/installed/*/receipt); do
   26.24  		pkg=$(basename ${i%/*})
   26.25 -		[ "$pkg" == "$PACKAGE" ] ||
   26.26 +		[ "$pkg" = "$PACKAGE" ] ||
   26.27  		root=/ chroot "$1/" tazpkg reconfigure $pkg
   26.28  	done
   26.29  }
    27.1 --- a/syslinux/stuff/iso2exe/init	Tue Feb 26 08:20:18 2019 +0100
    27.2 +++ b/syslinux/stuff/iso2exe/init	Tue Feb 26 09:14:07 2019 +0100
    27.3 @@ -1,4 +1,4 @@
    27.4 -#!/bin/sh
    27.5 +!/bin/sh
    27.6  
    27.7  DIALOG=dialog
    27.8  
    28.1 --- a/syslinux/stuff/iso2exe/init.custom	Tue Feb 26 08:20:18 2019 +0100
    28.2 +++ b/syslinux/stuff/iso2exe/init.custom	Tue Feb 26 09:14:07 2019 +0100
    28.3 @@ -1,6 +1,6 @@
    28.4  #!/bin/sh
    28.5  
    28.6 -if [ "$1" == "loramhack" ]; then
    28.7 +if [ "$1" = "loramhack" ]; then
    28.8  	cp $0 $2/init.extra
    28.9  	sed -i 's|^exec |exec /sbin|' $2/init.extra
   28.10  	cp -a /extra/. $2
    29.1 --- a/syslinux/stuff/iso2exe/taziso	Tue Feb 26 08:20:18 2019 +0100
    29.2 +++ b/syslinux/stuff/iso2exe/taziso	Tue Feb 26 09:14:07 2019 +0100
    29.3 @@ -844,7 +844,7 @@
    29.4  hascustomconf()
    29.5  {
    29.6  	[ "$(ddq bs=2k skip=${1:-$(customsector)} if="$ISO" | ddq bs=1 count=6)" \
    29.7 -	  == "#!boot" ]
    29.8 +	  = "#!boot" ]
    29.9  }
   29.10  
   29.11  gotcustomconf()
   29.12 @@ -887,7 +887,7 @@
   29.13  {
   29.14  	dotwait "Checking iso image"
   29.15  	[ "$(ddq if="$ISO" bs=2k skip=16 \
   29.16 -	     count=$(($(get 32848 "$ISO" 4)-16)) | md5sum)" == \
   29.17 +	     count=$(($(get 32848 "$ISO" 4)-16)) | md5sum)" = \
   29.18  	  "$(ddq if="$ISO" bs=16 count=1 skip=2047 | od -N 16 -t x1 -An | \
   29.19  	     sed 's/ //g')  -" ] && echo "OK" || echo "ERROR"
   29.20  	echo -en "\rChecking iso hybrid boot..."
   29.21 @@ -912,7 +912,7 @@
   29.22  			*)	  break ;;
   29.23  			esac
   29.24  		done | md5sum | cut -c1-32)"
   29.25 -		[ "$md5" == "$(cat $TMP)" ] && echo "OK" || echo "ERROR"
   29.26 +		[ "$md5" = "$(cat $TMP)" ] && echo "OK" || echo "ERROR"
   29.27  		rm -f $TMP
   29.28  	fi
   29.29  	rm -f /tmp/wait
   29.30 @@ -1070,7 +1070,7 @@
   29.31  
   29.32  hasflavinfo()
   29.33  {
   29.34 -	[ "$(flavdata | ddq bs=1 count=7 | strings)" == \
   29.35 +	[ "$(flavdata | ddq bs=1 count=7 | strings)" = \
   29.36  	  "0707010" ] && menuitem "$@"
   29.37  }
   29.38  
   29.39 @@ -1109,7 +1109,7 @@
   29.40  	read n
   29.41  }
   29.42  
   29.43 -if [ "$1" == "--build" ]; then	#install-begin
   29.44 +if [ "$1" = "--build" ]; then	#install-begin
   29.45  	uuencode -m - < ifmem.bin | sed -e '/^ifmemcode$/r/dev/stdin' \
   29.46  	  -e '/^ifmemcode$/d' -i $0
   29.47  	uuencode -m - < bootloader.bin | sed -e '/^bootloader$/r/dev/stdin' \
   29.48 @@ -1311,7 +1311,7 @@
   29.49  		-c %y $media/.|sed 's/ .*//')  $(basename "$ISO")"
   29.50  }
   29.51  
   29.52 -if [ "$1" == "include" ]; then
   29.53 +if [ "$1" = "include" ]; then
   29.54  	[ -s "$2" ] && cd $(dirname "$2") && awk -v exe=$0 \
   29.55  	'{ if ($1 == "include") system(exe " include " $2); else print }' <"$2"
   29.56  	exit
   29.57 @@ -1323,7 +1323,7 @@
   29.58  mkdir -p $media
   29.59  mount -o loop,ro "$ISO" $media
   29.60  
   29.61 -if [ "$2" == "list" ]; then
   29.62 +if [ "$2" = "list" ]; then
   29.63  	sed '/^\$(.*") \\/!d;s/^\$(\(.*\)").*/\1"/' $0 | while read line; do
   29.64  		eval $line
   29.65  		echo
    30.1 --- a/syslinux/stuff/tools/isohybrid.sh	Tue Feb 26 08:20:18 2019 +0100
    30.2 +++ b/syslinux/stuff/tools/isohybrid.sh	Tue Feb 26 09:14:07 2019 +0100
    30.3 @@ -1,6 +1,6 @@
    30.4  #!/bin/sh
    30.5  
    30.6 -if [ "$1" == "--build" ]; then
    30.7 +if [ "$1" = "--build" ]; then
    30.8  	cat >> $0 <<EOM
    30.9  $(for i in fx fx_f fx_c px px_f px_c ; do
   30.10       cat mbr/isohdp$i.bin /dev/zero | dd bs=1 count=512 2> /dev/null
   30.11 @@ -238,7 +238,7 @@
   30.12  	[ $always -eq 0 ] && exit 1
   30.13  }
   30.14  
   30.15 -[ "$(readiso 17 7 23)" == "EL TORITO SPECIFICATION" ] ||
   30.16 +[ "$(readiso 17 7 23)" = "EL TORITO SPECIFICATION" ] ||
   30.17  	abort "no boot record found."
   30.18  cat=$(read32 17 71)
   30.19  [ $(read32 $cat 0) -eq 1 -a $(read32 $cat 30) -eq $(( 0x88AA55 )) ] ||
    31.1 --- a/tazwikiss/receipt	Tue Feb 26 08:20:18 2019 +0100
    31.2 +++ b/tazwikiss/receipt	Tue Feb 26 09:14:07 2019 +0100
    31.3 @@ -72,7 +72,7 @@
    31.4  		fi
    31.5  	fi
    31.6  	# Configure busybox/httpd server by default
    31.7 -	if [ "$server" == "busybox" ]; then
    31.8 +	if [ "$server" = "busybox" ]; then
    31.9  		sed -i 's/lighttpd/httpd/' "$1/etc/rcS.conf"
   31.10  		if [ ! -s "$1/etc/httpd.conf" ]; then
   31.11  			cat > "$1/etc/httpd.conf" <<EOT
    32.1 --- a/tramys-server/stuff/tramys2.cgi	Tue Feb 26 08:20:18 2019 +0100
    32.2 +++ b/tramys-server/stuff/tramys2.cgi	Tue Feb 26 09:14:07 2019 +0100
    32.3 @@ -39,7 +39,7 @@
    32.4  	EE=$(echo $1 | sed -n '/./s|^[^\.]*\(\.[^@]*\).*$|\1|p')
    32.5  	VV=$(echo $1 | sed -n '/@/s|^[^@]*\(@.*\)$|\1|p')
    32.6  	ee=$(echo $EE | tr A-Z a-z | tr -cd a-z0-9); [ "$ee" ] && ee=.$ee
    32.7 -	[ "x$EE" == "x$ee" ] && ee=''
    32.8 +	[ "x$EE" = "x$ee" ] && ee=''
    32.9  
   32.10  	[ "$CC" -a "$EE" -a "$VV" ]	&& echo -n "$LL$CC$EE$VV "
   32.11  	[ "$CC" -a "$ee" -a "$VV" ]	&& echo -n "$LL$CC$ee$VV "
   32.12 @@ -70,9 +70,9 @@
   32.13  			for line in $(grep -e "^$P	" $DATADIR/$PREFIX$list_type.list); do
   32.14  				locales=$(echo $line | cut -d'	' -f2)
   32.15  				names=$(echo $line | cut -d'	' -f3)
   32.16 -					[ "x$names" == "x" ] && names=$P
   32.17 +					[ "x$names" = "x" ] && names=$P
   32.18  				paths=$(echo $line | cut -d'	' -f4)
   32.19 -					[ "x$paths" == "x" ] && paths="$US/locale/%/$LC"
   32.20 +					[ "x$paths" = "x" ] && paths="$US/locale/%/$LC"
   32.21  
   32.22  				IFS=' '
   32.23  				# for all valid locale variants
    33.1 --- a/tramys/stuff/tramys	Tue Feb 26 08:20:18 2019 +0100
    33.2 +++ b/tramys/stuff/tramys	Tue Feb 26 09:14:07 2019 +0100
    33.3 @@ -21,7 +21,7 @@
    33.4  	EE=$(echo $LANG | sed -n '/./s|^[^\.]*\(\.[^@]*\).*$|\1|p')
    33.5  	VV=$(echo $LANG | sed -n '/@/s|^[^@]*\(@.*\)$|\1|p')
    33.6  	ee=$(echo $EE | tr A-Z a-z | tr -cd a-z0-9); [ "$ee" ] && ee=.$ee
    33.7 -	[ "x$EE" == "x$ee" ] && ee=''
    33.8 +	[ "x$EE" = "x$ee" ] && ee=''
    33.9  
   33.10  	[ "$CC" -a "$EE" -a "$VV" ]	&& echo -n "$LL$CC$EE$VV "
   33.11  	[ "$CC" -a "$ee" -a "$VV" ]	&& echo -n "$LL$CC$ee$VV "
   33.12 @@ -40,7 +40,7 @@
   33.13  
   33.14  get_file() {
   33.15  	local q
   33.16 -	[ "$VERBOSE" == "high" ] && q='' || q='-q'
   33.17 +	[ "$VERBOSE" = "high" ] && q='' || q='-q'
   33.18  	[ "$VERBOSE" != "off" ] && echo "Getting $P $locale locale..."
   33.19  	case $GET_VIA in
   33.20  		ftp)
   33.21 @@ -73,9 +73,9 @@
   33.22  			for line in $(grep -e "^$P	" $DATADIR/$list_type.list); do
   33.23  				locales=$(echo $line | cut -d'	' -f2)
   33.24  				names=$(echo $line | cut -d'	' -f3)
   33.25 -					[ "x$names" == "x" ] && names=$P
   33.26 +					[ "x$names" = "x" ] && names=$P
   33.27  				pathes=$(echo $line | cut -d'	' -f4)
   33.28 -					[ "x$pathes" == "x" ] && pathes="$US/locale/%/$LC"
   33.29 +					[ "x$pathes" = "x" ] && pathes="$US/locale/%/$LC"
   33.30  
   33.31  				IFS=' '
   33.32  				for locale in $MY_LOCALES; do
    34.1 --- a/turbine/stuff/turbine	Tue Feb 26 08:20:18 2019 +0100
    34.2 +++ b/turbine/stuff/turbine	Tue Feb 26 09:14:07 2019 +0100
    34.3 @@ -49,7 +49,7 @@
    34.4  checkROOT(){
    34.5  
    34.6  user=$(id -u)
    34.7 -if [ "$user" == "0" ]
    34.8 +if [ "$user" = "0" ]
    34.9  then
   34.10    turbine
   34.11  else
    35.1 --- a/udhcpc6-fake/stuff/etc/dhclient-script	Tue Feb 26 08:20:18 2019 +0100
    35.2 +++ b/udhcpc6-fake/stuff/etc/dhclient-script	Tue Feb 26 09:14:07 2019 +0100
    35.3 @@ -184,7 +184,7 @@
    35.4                  $new_broadcast_arg $mtu_arg
    35.5  
    35.6  	    # point to point
    35.7 -	    if [ "$new_subnet_mask" == "255.255.255.255" ]; then
    35.8 +	    if [ "$new_subnet_mask" = "255.255.255.255" ]; then
    35.9  	    	for router in $new_routers; do
   35.10  	    	    route add -host $router dev $interface
   35.11  	    	done
   35.12 @@ -243,7 +243,7 @@
   35.13              fi
   35.14  	    
   35.15  	    # point to point
   35.16 -	    if [ "$new_subnet_mask" == "255.255.255.255" ]; then
   35.17 +	    if [ "$new_subnet_mask" = "255.255.255.255" ]; then
   35.18  	    	for router in $new_routers; do
   35.19  	    	    route add -host $router dev $interface
   35.20  	    	done
    36.1 --- a/udhcpc6-fake/stuff/sbin/udhcpc	Tue Feb 26 08:20:18 2019 +0100
    36.2 +++ b/udhcpc6-fake/stuff/sbin/udhcpc	Tue Feb 26 09:14:07 2019 +0100
    36.3 @@ -2,7 +2,7 @@
    36.4  
    36.5  INTERFACE=eth0
    36.6  while [ -n "$1" ]; do
    36.7 -	[ "$1" == "-i" ] && INTERFACE=$2
    36.8 +	[ "$1" = "-i" ] && INTERFACE=$2
    36.9  	shift
   36.10  done
   36.11  
    37.1 --- a/vim-tiny/receipt	Tue Feb 26 08:20:18 2019 +0100
    37.2 +++ b/vim-tiny/receipt	Tue Feb 26 09:14:07 2019 +0100
    37.3 @@ -63,7 +63,7 @@
    37.4  		echo "**** Actual VI link : $cmd"
    37.5  		echo ''
    37.6  		echo -n 'Do you want vim  for /bin/vi (y/N) ? : '; read -t 30 anser
    37.7 -		if [ "$anser" == 'y' ]; then
    37.8 +		if [ "$anser" = 'y' ]; then
    37.9  			echo ''
   37.10  			action 'Removing vi link to make a new one pointing on /usr/bin/vim...'
   37.11  			rm "$1/bin/vi" && ln -sf /usr/bin/vim-tiny "$1/bin/vi"
    38.1 --- a/vim/receipt	Tue Feb 26 08:20:18 2019 +0100
    38.2 +++ b/vim/receipt	Tue Feb 26 09:14:07 2019 +0100
    38.3 @@ -60,7 +60,7 @@
    38.4  		echo "**** Actual VI link : $cmd"
    38.5  		echo ''
    38.6  		echo -n 'Do you want vim  for /bin/vi (y/N) ? : '; read -t 30 anser
    38.7 -		if [ "$anser" == 'y' ]; then
    38.8 +		if [ "$anser" = 'y' ]; then
    38.9  			echo ''
   38.10  			echo -n 'Removing vi link to make a new one pointing on /usr/bin/vim...'
   38.11  			rm "$1/bin/vi" && ln -sf /usr/bin/vim "$1/bin/vi"
    39.1 --- a/xarchive/stuff/slitaz-wrap.sh	Tue Feb 26 08:20:18 2019 +0100
    39.2 +++ b/xarchive/stuff/slitaz-wrap.sh	Tue Feb 26 09:14:07 2019 +0100
    39.3 @@ -97,7 +97,7 @@
    39.4  COMPRESS="cat"
    39.5  while read d c exts; do
    39.6  	in_exts $exts || continue
    39.7 -	[ "$d" == "${d% *}" -o "$(which ${d% *})" ] || exit $UNSUPPORTED
    39.8 +	[ "$d" = "${d% *}" -o "$(which ${d% *})" ] || exit $UNSUPPORTED
    39.9  	DECOMPRESS="$d"
   39.10  	COMPRESS="$c"
   39.11  	[ "$(which ${c% *})" ] || COMPRESS="false"
    40.1 --- a/xpenguins/stuff/xpenguins.sh	Tue Feb 26 08:20:18 2019 +0100
    40.2 +++ b/xpenguins/stuff/xpenguins.sh	Tue Feb 26 09:14:07 2019 +0100
    40.3 @@ -32,10 +32,10 @@
    40.4  $settings
    40.5  EOT
    40.6  flags=''
    40.7 -[ $nopopup == TRUE ] && flags=$flags" -p"
    40.8 -[ $noblood == TRUE ] && flags=$flags" -b"
    40.9 -[ $noangel == TRUE ] && flags=$flags" -a"
   40.10 -[ $squish == TRUE ] && flags=$flags" -s"
   40.11 +[ $nopopup = TRUE ] && flags=$flags" -p"
   40.12 +[ $noblood = TRUE ] && flags=$flags" -b"
   40.13 +[ $noangel = TRUE ] && flags=$flags" -a"
   40.14 +[ $squish = TRUE ] && flags=$flags" -s"
   40.15  printf '%s' "$themes" | xargs xpenguins -m ${delay%.*} -n ${number%.*} $flags \
   40.16  	>/dev/null 2>&1 &
   40.17  yad --button=gtk-stop --title='Stop xpenguins' $icon \
    41.1 --- a/xsnow/stuff/xsnow.sh	Tue Feb 26 08:20:18 2019 +0100
    41.2 +++ b/xsnow/stuff/xsnow.sh	Tue Feb 26 09:14:07 2019 +0100
    41.3 @@ -36,18 +36,18 @@
    41.4  winsd scrsd off trees santa rud winsn scrsn popupsn duration dummy<<EOT
    41.5  $settings
    41.6  EOT
    41.7 -[ $back == FALSE ] && back=''
    41.8 +[ $back = FALSE ] && back=''
    41.9  flags=''
   41.10 -[ $smooth == FALSE ] && flags=$flags" -unsmooth"
   41.11 -[ $wind == FALSE ] && flags=$flags" -nowind"
   41.12 -[ $trees == FALSE ] && flags=$flags" -notrees"
   41.13 -[ $santa == FALSE ] && flags=$flags" -nosanta"
   41.14 -[ $rud == FALSE ] && flags=$flags" -norudolf"
   41.15 -if [ $winsn == FALSE -a $scrsn == FALSE ]; then flags=$flags" -nokeepsnow"
   41.16 -elif [ $winsn == FALSE ]; then flags=$flags" -nokeepsnowonwindows"
   41.17 -elif [ $scrsn == FALSE ]; then flags=$flags" -nokeepsnowonscreen"
   41.18 +[ $smooth = FALSE ] && flags=$flags" -unsmooth"
   41.19 +[ $wind = FALSE ] && flags=$flags" -nowind"
   41.20 +[ $trees = FALSE ] && flags=$flags" -notrees"
   41.21 +[ $santa = FALSE ] && flags=$flags" -nosanta"
   41.22 +[ $rud = FALSE ] && flags=$flags" -norudolf"
   41.23 +if [ $winsn = FALSE -a $scrsn = FALSE ]; then flags=$flags" -nokeepsnow"
   41.24 +elif [ $winsn = FALSE ]; then flags=$flags" -nokeepsnowonwindows"
   41.25 +elif [ $scrsn = FALSE ]; then flags=$flags" -nokeepsnowonscreen"
   41.26  fi
   41.27 -[ $popupsn == TRUE ] && flags=$flags" -nonopopup"
   41.28 +[ $popupsn = TRUE ] && flags=$flags" -nonopopup"
   41.29  xsnow -snowflakes ${sf%.*} -sc "$sc" ${back:+-solidbg -bg "$bc"} -tc "$tc" \
   41.30  	-santa ${ssiz%.*} -santaspeed ${ssp%.*} -santaupdatefactor ${suf%.*} \
   41.31  	-delay ${delay%.*} -whirl ${wf%.*} -xspeed ${xs%.*} -yspeed ${ys%.*} \
    42.1 --- a/xz/stuff/lzma	Tue Feb 26 08:20:18 2019 +0100
    42.2 +++ b/xz/stuff/lzma	Tue Feb 26 09:14:07 2019 +0100
    42.3 @@ -73,7 +73,7 @@
    42.4  	done
    42.5  	for i in $files; do
    42.6  		xz $args $i || usage error
    42.7 -		[ "lzma" == "$suffix" ] || mv ${i%.*}.lzma ${i%.*}.$suffix
    42.8 +		[ "lzma" = "$suffix" ] || mv ${i%.*}.lzma ${i%.*}.$suffix
    42.9  	done
   42.10  	exit
   42.11  }
    43.1 --- a/zsh/receipt	Tue Feb 26 08:20:18 2019 +0100
    43.2 +++ b/zsh/receipt	Tue Feb 26 09:14:07 2019 +0100
    43.3 @@ -56,7 +56,7 @@
    43.4  		echo ''
    43.5  		echo -n 'Do you want Zsh for /bin/sh (y/N) ? : '
    43.6  		read -t 30 answer < /dev/tty
    43.7 -		if [ "$answer" == 'y' ]; then
    43.8 +		if [ "$answer" = 'y' ]; then
    43.9  			echo ''
   43.10  			action 'Removing sh link to make a new one pointing on /bin/zsh...'
   43.11  			rm "$1/bin/sh" && ln -s /bin/zsh "$1/bin/sh"